# Generated by Django 2.1 on 2019-02-12 16:10

import arkindex.dataimport.models
import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import enumfields.fields
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='DataFile',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=100)),
                ('size', models.PositiveIntegerField()),
                ('hash', models.CharField(max_length=32)),
                ('content_type', models.CharField(max_length=50)),
            ],
            options={
                'ordering': ['corpus', 'name'],
            },
        ),
        migrations.CreateModel(
            name='DataImport',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('mode', enumfields.fields.EnumField(enum=arkindex.dataimport.models.DataImportMode, max_length=30)),
                ('payload', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True)),
            ],
            options={
                'ordering': ['corpus', '-created'],
            },
        ),
        migrations.CreateModel(
            name='DataImportFailure',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('path', models.CharField(max_length=250)),
                ('line', models.PositiveIntegerField(blank=True, null=True)),
                ('message', models.TextField()),
                ('context', models.TextField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Event',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('type', enumfields.fields.EnumField(enum=arkindex.dataimport.models.EventType, max_length=10)),
            ],
            options={
                'ordering': ['element_id', '-created'],
            },
        ),
        migrations.CreateModel(
            name='Repository',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('url', models.URLField(unique=True)),
                ('hook_token', models.CharField(max_length=250, unique=True)),
                ('provider_name', models.CharField(choices=[('GitLabProvider', 'GitLab')], max_length=50)),
            ],
            options={
                'verbose_name_plural': 'repositories',
            },
        ),
        migrations.CreateModel(
            name='Revision',
            fields=[
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('id', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('hash', models.CharField(max_length=50)),
                ('ref', models.CharField(max_length=50)),
                ('message', models.TextField()),
                ('author', models.CharField(max_length=50)),
            ],
        ),
    ]
