import distutils.spawn
import glob
import os
import subprocess


def extract_pdf_images(pdf_file, pdf_path, working_dir):
    """
    Convert a PDF file to a list of images
    """
    assert pdf_file.content_type == 'application/pdf', 'File is not a PDF'
    assert pdf_file.exists(), 'File does not exist'
    assert distutils.spawn.find_executable('convert'), 'Missing convert in PATH'

    if not os.path.exists(working_dir):
        os.makedirs(working_dir)

    cmd = [
        'convert', '-density', '300',
        'pdf:{}'.format(pdf_path),
        os.path.join(working_dir, 'pdf-%04d.jpg'),
    ]
    subprocess.run(cmd, check=True)

    # Dump all the images in the working dir
    return sorted(glob.glob(os.path.join(working_dir, '*.jpg')))
