from django.core.management import call_command
from arkindex.project.tests import FixtureTestCase
from arkindex.documents.models import ElementType, MetaData, MetaType
from unittest.mock import patch, call


class TestParseDates(FixtureTestCase):

    @classmethod
    def setUpTestData(cls):
        super().setUpTestData()
        cls.metadata = MetaData.objects.create(
            name='date',
            type=MetaType.Date,
            value='2020-10-20',
            element=cls.corpus.elements.get(type=ElementType.Act, name='Act 1'),
        )

    @patch('arkindex.documents.date_parser.DateParser.parse')
    def test_date_parser(self, parse_mock):
        call_command(
            'parse_dates',
            corpus=self.corpus,
        )
        self.assertEqual(
            parse_mock.call_args_list,
            [call(self.metadata.value)],
        )
