# Generated by Django 2.1 on 2019-02-12 16:10

import arkindex.images.models
import arkindex.project.polygon
from django.db import migrations, models
import django.db.models.deletion
import enumfields.fields
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Image',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('path', models.TextField()),
                ('width', models.PositiveIntegerField(default=0)),
                ('height', models.PositiveIntegerField(default=0)),
                ('status', enumfields.fields.EnumField(default='unchecked', enum=arkindex.images.models.ImageStatus, max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='ImageServer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=250)),
                ('url', models.URLField(unique=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='Zone',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('polygon', arkindex.project.polygon.PolygonField()),
                ('image', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='zones', to='images.Image')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='image',
            name='server',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='images', to='images.ImageServer'),
        ),
        migrations.AlterUniqueTogether(
            name='image',
            unique_together={('server', 'path')},
        ),
    ]
