from django.conf import settings
from botocore.config import Config
import boto3.session

session = boto3.session.Session(
    aws_access_key_id=settings.AWS_ACCESS_KEY,
    aws_secret_access_key=settings.AWS_SECRET_KEY,
)

config = Config(
    region_name=settings.AWS_REGION,
    signature_version='s3v4',
)

s3 = session.resource(
    's3',
    endpoint_url=settings.AWS_ENDPOINT,
    config=config,
)
